// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import clock from "clock";
import {memory} from "system";
import document from "document";
import { tz_data } from "../common/tz.js";
import * as C from "../common/constants.js";
import { logger } from "../common/utils.js";
import * as names from "../common/names";
import * as prefs from "../common/prefs";
import * as face from "../common/analog_face";
import * as fl from "../common/flashlight";
import * as cfg1 from "../common/config1";
import * as cfg2 from "../common/config2";
import * as cfg_select from "../common/cfg_select";
import * as get_time from "../common/get_time";
import * as timer from "../common/timer";
import * as laps from "../common/laps";

prefs.init();

face.init(document);

cfg1.init(document);
cfg2.init(document);
cfg_select.init(document);

fl.init(document);
get_time.init(document);
timer.init(document);
laps.init(document);

logger("mem: " + memory.js.used + "/" + memory.js.total);

face.sh_moon(new Date());

// Update the clock every second
clock.granularity = "seconds";
clock.ontick = () => face.updateClock();
