// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import * as C from "../common/constants";
import { logger } from "../common/utils";
import * as utils from "../common/utils";
import * as prefs from "../common/prefs";
import { P } from "../common/prefs";
import * as names from "../common/names";
import * as config1 from "../common/config1";
import * as cfg_time from "../common/cfg_time";

let screen;
let scr;

let tz_idx;

export function init(doc)
{

  screen = doc.getElementById("cfg_select");
  scr = utils.scr_init(screen, "Select TZ");
  utils.image_btn(screen, "ul_btn", "icons/left_btn.png", (btn) => {
    config1.sh_screen();
  });
  
  tz_idx = cfg_time.init(doc);
  
  return scr;
}

export function sh_screen()
{
  let btn, txt;

  txt = screen.getElementById("cfg_time1_text");
  txt.text = "TZ1 - " + names.get_info(P.tz1).name; 
  btn = screen.getElementById("cfg_time1");
  btn.addEventListener("click", (evt) => {
    cfg_time.sh_screen(C.TZ_TILE1);
  })

  txt = screen.getElementById("cfg_time2_text");
  txt.text = "TZ2 - " + names.get_info(P.tz2).name;
  btn = screen.getElementById("cfg_time2");
  btn.addEventListener("click", (evt) => {
    cfg_time.sh_screen(C.TZ_TILE2);
  })

  utils.sh_screen(scr);
}
