// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import * as C from "../common/constants";
import { logger } from "../common/utils";
import * as utils from "../common/utils";
import * as prefs from "../common/prefs";
import { P } from "../common/prefs";
import { tz_data } from "../common/tz"
import * as face from "../common/analog_face";
import * as get_time from "../common/get_time";
import * as config1 from "../common/config1";

let screen;
let scr;

let tz_scr;
export var tz_index;

export function init(doc)
{

  screen = doc.getElementById("config2");
  scr = utils.scr_init(screen, "Custom TZ");
  utils.image_btn(screen, "ur_btn", "icons/right_btn.png", (btn) => {
    config1.sh_screen();
  });

  utils.text_btn(screen, "cfg_tz1", "TZ1", "fb-yellow", "fb-red", (btn) => {
    get_time.sh_screen(scr, 4, tz_data[C.TZ_CUST1_IDX].off * 60, save1);
  });

  utils.text_btn(screen, "cfg_tz2", "TZ2", "fb-yellow", "fb-red", (btn) => {
    get_time.sh_screen(scr, 4, tz_data[C.TZ_CUST2_IDX].off * 60, save2);
  });
  
  return scr;
}

export function sh_screen()
{
  var off, tz, txt;

  off = tz_data[C.TZ_CUST1_IDX].off;
  tz = screen.getElementById("cfg_tz1");
  txt = tz.getElementById("b_text");
  txt.text = "Custom TZ1: " + off2time(off);
  txt.style.fill = "yellow";

  off = tz_data[C.TZ_CUST2_IDX].off;
  tz = screen.getElementById("cfg_tz2");
  txt = tz.getElementById("b_text");
  txt.text = "Custom TZ2: " + off2time(off);
  txt.style.fill = "yellow";

  utils.sh_screen(scr);
}

function off2time(off)
{
  let hr, min, m;
  
  let s="";
  if (off < 0) {
    s = "-";
    off = -off;
  } else if (off > 0)
    s = "+";
  
  hr = parseInt(off / 60);
  min = off - (hr * 60);
  if (min < 0)
    min = -min;
  m = utils.dig2(min, "0");
  
  return s + hr + ":" + m;
}

function save(idx, off)
{

  off /= 60;
  tz_data[idx].off = off;
  if (idx == C.TZ_CUST1_IDX)
    P.custom_tz1 = off;
  else
    P.custom_tz2 = off;
  prefs.save();
}

function save1(offset)
{

  save(C.TZ_CUST1_IDX, offset);
}

function save2(offset)
{

  save(C.TZ_CUST2_IDX, offset);
}
