// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import display from "display";
import * as C from "../common/constants";
import { logger, screens, sh_screen } from "../common/utils";
import { P } from "../common/prefs";
import * as utils from "../common/utils";
import * as timer from "../common/timer";

export function init(doc)
{

  let scr = screens.length;
  let screen = doc.getElementById("flashlight");
  scr = utils.scr_init(screen, null, null);

  //
  // tap on center of screen toggles flashlight
  //
  let bg = doc.getElementById("click_bg");
  bg.addEventListener("click", (evt) => {

    if (timer.enable) {
      timer.start_stop();
    } else {
      sh_screen(scr);
      display.autoOff = false;
      display.brightnessOverride = "max";
    }
  })

  let flash = doc.getElementById("click_flash");
  flash.addEventListener("click", (evt) => {

    sh_screen(0);
    display.autoOff = true;
    display.brightnessOverride = undefined;
  })
  return scr;
}
