// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import * as C from "../common/constants";
import { logger } from "../common/utils";
import * as utils from "../common/utils";
import { P } from "../common/prefs";
import * as prefs from "../common/prefs";
import * as names from "../common/names";
import * as timer from "../common/timer";

let scr;

var lineno = 0;
var line = [];

var ticks;
var lapmax;
export var lapno = 0;
export var laps = [];

export function init(doc)
{
  var btn, svg;

  let screen = doc.getElementById("laps");
  scr = utils.scr_init(screen, "");

  for (let i = 0; i < 5; i++) {
    svg = screen.getElementById("lap-" + i);
    line[i] = {svg: svg,
               name: svg.getElementById("name"),
               value: svg.getElementById("value")};
  }

  utils.text_btn(screen, "u_btn", "Laps", "fb-white", "fb-blue", (btn) => {
    timer.sh_screen();
  });

  utils.image_btn(screen, "ul_btn", "icons/up.png", (btn) => {
    if (lineno >= 5)
      lineno -= 5;
    sh_page();
  });

  utils.image_btn(screen, "ur_btn", "icons/down.png", (btn) => {
    if (lineno < (lapmax - 4))
      lineno += 5;
    sh_page();
  });

  return scr;
}

export function sh_screen()
{

  lapmax = laps.length - 1;
  lineno = 0;
  sh_page();
  utils.sh_screen(scr);
}

export function reset()
{

  lapno = 0;
  laps = [];
  laps[0] = 0;
  ticks = 0;
}

export function elapsed(t)
{

  laps[lapno] = t;
}

export function set(t)
{

  laps[lapno++] = t - ticks;
  ticks = t;
  return lapno;
}

function sh_page()
{
  var l, n, v;
  var idx;

  let max = timer.running ? lapmax - 1 : lapmax;
  for (let i = 0; i < 5; i++) {
    l = line[i];
    idx = i + lineno;
    if (idx <= max) {
      v = utils.milli2str(laps[idx], true);
      n = "" + (idx + 1);
      l.name.text = (idx == lapmax) ? "Time" : n;
      l.value.text = v;
      l.svg.style.display = "inline";
    } else
      l.svg.style.display = "none";
  }
}
