// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import * as C from "../common/constants.js";
import { logger } from "../common/utils";
import * as cities from "../common/cities"
import * as countries from "../common/countries"

export function get_info(idx)
{
  switch (idx) {

  case -5:
    return { name: "Chrono", tz: C.TZ_TIMER_IDX };

  case -4:
    return { name: "Local", tz: 0 };

  case -3:
    return { name: "Custom 1", tz: C.TZ_CUST1_IDX };

  case -2:
    return { name: "None", tz: C.TZ_NONE };

  case -1:
    return { name: "Custom 2", tz: C.TZ_CUST2_IDX };

  default:
    if (idx < cities.size())
      return cities.get(idx);
    idx -= cities.size();
    if (idx < countries.size())
      return countries.get(idx);
    return undefined;

  }
}

export function num_cities()
{

  return cities.size();
}

export function num_countries()
{

  return countries.size();
}

export function get_index(cfg, name)
{

  return (cfg == C.TZ_TILE1) ? Tiles1[name] : Tiles2[name];
}

export function set_index(cfg, name, idx)
{

  if (cfg == C.TZ_TILE1)
    Tiles1[name] = idx;
  else
    Tiles2[name] = idx;
}
