// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import * as C from "../common/constants";
import * as fs from "fs";
import * as names from "../common/names";
import { logger, pr_object } from "../common/utils.js";

export let P;

//
//  tz1,tz2 - indices into the tz array
//  rotation - +1 for clockwise, -1 for counter clockwise
//  custom_tz1&2 -
//  ampm -
//  hr24 - 0 for 12 hr, 1 for 24
//  moon - 1 show moon phase, 0 show list button
//
let def_prefs = {
  tz1: -4,
  tz2: -2,
  rotation: 1,
  custom_tz1: 0,
  custom_tz2: 0,
  ampm: 2,
  hr24: 0,
  moon: 1
};

//export function ls_dir()
//{
//  
//  let dirIter;
//  logger("/private/data:");
//  const listDir = fs.listDirSync("/private/data");
//  while((dirIter = listDir.next()) && !dirIter.done) {
//    logger("  " + dirIter.value);
//  }
//}

export function pr_prefs(p)
{
//  var tz;

//  logger("Prefs:");
//  tz = names.get_info(p.tz1);
//  logger("  tz1 - " + p.tz1 + " => " + (tz ? tz.name : ""));
//  tz = names.get_info(p.tz2);
//  logger("  tz2 - " + p.tz2 + " => " + (tz ? tz.name : ""));
//  logger("  custom tzs - " + p.custom_tz1 + ", " + p.custom_tz2);
//  logger("  ampm - " + p.ampm);
//  logger("  hr24 - " + p.hr24);
//  logger("  moon - " + p.moon);
}

export function init()
{

  //fs.unlinkSync("prefs.txt");
  try {
    P = fs.readFileSync("prefs.txt", "json");
  } catch(e) {
    logger("fs read error - " + e);
  }

  if (P == undefined) {
    P = def_prefs;
    pr_prefs(P);
    return;
  }
  
//P = def_prefs;
  
  if (P.custom_tz1 == undefined)
    P.custom_tz1 = def_prefs.custom_tz1;
  if (P.custom_tz2 == undefined)
    P.custom_tz2 = def_prefs.custom_tz2;
  if (P.rotation == undefined)
    P.rotation = def_prefs.rotation;
  if (P.ampm == undefined)
    P.ampm = def_prefs.ampm;
  if (P.hr24 == undefined)
    P.hr24 = def_prefs.hr24;
  if (P.moon == undefined)
    P.moon = def_prefs.moon;
  if (P.tz2 == C.TZ_TIMER)
    P.tz2 = C.TZ_NONE2;
  pr_prefs(P);
}

export function save()
{

  try {
    fs.writeFileSync("prefs.txt", P, "json");
  } catch(e) {
    logger("fs write error - " + e);
  }
  return P;
}
