// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//

//	-12     Anywhere on Earth
//	-11     Samoa Standard Time
//	-10     Hawaii Standard Time
//	-9(-8)  Alaska Standard Time (AKDT)
//	-8(-7)  Pacific Standard Time (PDT)
//	-7(-6)  Mountain Standard Time (MDT)
//	-6(-5)  Central Standard Time (CDT)
//	-5(-4)  Eastern Standard Time (EDT)
//	-4      Atlantic Standard Time
//	-3      Brasilia Time
//	-2      South Georgia Time (South America)
//	-1      Azores Time
//	0(+1)   Greenwich Mean Time (BST)
//	+1(+2)  Central European Time (CEST)
//	+2(+3)  Eastern European Time (EEST)
//	+3      Moscow Standard Time
//	+4      Mauritius Time
//	+5      Nepal Standard Time
//	+6      Bangladesh Standard Time
//	+7      Christmas Island Time
//	+8      Singapore Time
//	+9      Japan Standard Time
//	+10     Papua New Guinea Time
//	+11     Vanuatu Time
//	+12     New Zealand Standard Time
//	+13     Tonga Time
//	+14     Line Islands Time

export let	tz_data = [
	{  standard: "", off: (0) },            // 0 - unused entry
	{  standard: "AoE", off: (-12*60) },    // 1
	{  standard: "SST", off: (-11*60) },    // 2
	{  standard: "HST", off: (-10*60) },    // 3
	{  standard: "AKST", off: (-9*60),	daylight: "AKDT", days: 0 },  // 4
	{  standard: "PST", off: (-8*60),   daylight: "PDT",  days: 0 },  // 5
	{  standard: "MST", off: (-7*60),   daylight: "MDT",  days: 0 },  // 6
	{  standard: "CST", off: (-6*60),   daylight: "CDT",  days: 0 },  // 7
	{  standard: "EST", off: (-5*60),   daylight: "EDT",  days: 0 },  // 8
	{  standard: "AST", off: (-4*60) },     // 9
	{  standard: "BRT", off: (-3*60) },     // 10
	{  standard: "GST", off: (-2*60) },     // 11
	{  standard: "AZOT", off: (-1*60) },    // 12
	{  standard: "GMT", off: (0*60),	daylight: "BST",  days: 1 },  // 13
	{  standard: "CET", off: (1*60),	daylight: "CEST", days: 1 },  // 14
	{  standard: "EET", off: (2*60),	daylight: "EEST", days: 1 },  // 15
	{  standard: "MSK", off: (3*60) },      // 16
	{  standard: "MUT", off: (4*60) },      // 17
	{  standard: "PKT", off: (5*60) },      // 18
	{  standard: "XST", off: (6*60) },      // 19
	{  standard: "THA", off: (7*60) },      // 20
	{  standard: "CST", off: (8*60) },      // 21
	{  standard: "JST", off: (9*60) },      // 22
	{  standard: "AEST", off: (10*60) },    // 23
	{  standard: "VUT", off: (11*60) },     // 24
	{  standard: "NZST", off: (12*60) },    // 25
	{  standard: "TOT", off: (13*60) },     // 26
	{  standard: "LINT", off: (14*60) },    // 27
	{  standard: "UTC", off: (0*60) },      // 28
	{  standard: "NPT", off: (5*60)+45 },   // 29
	{  standard: "IST", off: (5*60)+30 },   // 30
	{  standard: "NST", off: (3*60)+30 },   // 31
	{  standard: "AST", off: (4*60)+30 },   // 32
	{  standard: "MST", off: (6*60)+30 },   // 33
	{  standard: "TZ1", off: 0 },           // 34
	{  standard: "TZ2", off: 0 },           // 35
	{  standard: "TIMER", off: 0 },         // 36
	{  standard: "DOWN", off: 0 },          // 37
	{  standard: "MST", off: (-7*60) }      // 38 - Arizona (MST year round)
];

//export const tz_day = [
// USA
//	{ day: 0, time: 2, st_num: 2,  st_mo: 3, end_num: 1,  end_mo: 11 },
// EU
//	{ day: 0, time: 1, st_num: -1, st_mo: 3, end_num: -1, end_mo: 10 }
//];
